<?php
function alley_business_toolkit_get_current_theme_author(){
    $current_theme = wp_get_theme();
    return $current_theme->get('Author');
}
function alley_business_toolkit_plugin_check_activated(){
    $pluginList = get_option( 'active_plugins' );
    $alley_business_toolkit_plugin = 'advanced-import/advanced-import.php'; 
    $checkPlugin = in_array( $alley_business_toolkit_plugin , $pluginList );
    return $checkPlugin;
}
function alley_business_toolkit_plugin_file_exists(){
    $alley_business_toolkit_plugin = 'advanced-import/advanced-import.php'; 
    $pathpluginurl = WP_PLUGIN_DIR .'/'. $alley_business_toolkit_plugin;
    $isinstalled = file_exists( $pathpluginurl );
    return $isinstalled;
}
function alley_business_toolkit_get_current_theme_slug(){
    $current_theme = wp_get_theme();
    return $current_theme->stylesheet;
}
function alley_business_toolkit_get_theme_screenshot(){
    $current_theme = wp_get_theme();
    return $current_theme->get_screenshot();
}
function alley_business_toolkit_get_theme_name(){
    $current_theme = wp_get_theme();
    return $current_theme->get('Name');
}

function alley_business_toolkit_get_templates_lists( $theme_slug ){

    
    switch ( $theme_slug ):
        case "alley-themes":
            $demo_templates_lists = array(

        'alley-free-1' =>array(
            'title' => esc_html__( 'Alley Free 1', 'alley-business-toolkit' ),/*Title*/
            'is_pro' => false,  /*Premium*/
            'type' => 'free',
            'author' => esc_html__( 'Alley Themes', 'alley-business-toolkit' ),    /*Author Name*/
            'keywords' => array( 'Alley Free 1'),  /*Search keyword*/
            'categories' => array( 'free' ), /*Categories*/
            'template_url' => array(
                'content' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/free/1/content.json',
                'options' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/free/1/options.json',
                'widgets' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/free/1/widgets.json'
            ),
            'screenshot_url' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/free/1/screenshot.jpg',
            'demo_url' => 'http://demo.alleythemes.com/',
            'plugins' => ''
        ),

        'alley-free-2' =>array(
            'title' => esc_html__( 'Alley Free 2', 'alley-business-toolkit' ),/*Title*/
            'is_pro' => false,  /*Premium*/
            'type' => 'free',
            'author' => esc_html__( 'Alley Themes', 'alley-business-toolkit' ),    /*Author Name*/
            'keywords' => array( 'Alley Free 2'),  /*Search keyword*/
            'categories' => array( 'free' ), /*Categories*/
            'template_url' => array(
                'content' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/free/2/content.json',
                'options' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/free/2/options.json',
                'widgets' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/free/2/widgets.json'
            ),
            'screenshot_url' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/free/2/screenshot.jpg',
            'demo_url' => 'https://demo.alleythemes.com/hvac-free/',
            'plugins' => ''
        ),

        'alley-pro-1' =>array(
            'title' => esc_html__( 'Alley Pro 1', 'alley-business-toolkit' ),/*Title*/
            'is_pro' => true,  /*Premium*/
            'type' => 'pro',
            'author' => esc_html__( 'Alley Themes', 'alley-business-toolkit' ),    /*Author Name*/
            'keywords' => array( 'Alley Pro 1'),  /*Search keyword*/
            'categories' => array( 'pro' ), /*Categories*/
            'template_url' => array(
                'content' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/pro/1/content.json',
                'options' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/pro/1/options.json',
                'widgets' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/pro/1/widgets.json'
            ),
            'screenshot_url' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/pro/1/screenshot.jpg',
            'demo_url' => 'https://demo.alleythemes.com/hvac-pro-1',
            'plugins' => ''
        ),

        'alley-pro-2' =>array(
            'title' => esc_html__( 'Alley Pro 2', 'alley-business-toolkit' ),/*Title*/
            'is_pro' => true,  /*Premium*/
            'type' => 'pro',
            'author' => esc_html__( 'Alley Themes', 'alley-business-toolkit' ),    /*Author Name*/
            'keywords' => array( 'Alley Pro 2'),  /*Search keyword*/
            'categories' => array( 'pro' ), /*Categories*/
            'template_url' => array(
                'content' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/pro/2/content.json',
                'options' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/pro/2/options.json',
                'widgets' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/pro/2/widgets.json'
            ),
            'screenshot_url' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/pro/2/screenshot.jpg',
            'demo_url' => 'https://demo.alleythemes.com/hvac-pro-2',
            'plugins' => ''
        ),

        'alley-pro-3' =>array(
            'title' => esc_html__( 'Alley Pro 3', 'alley-business-toolkit' ),/*Title*/
            'is_pro' => true,  /*Premium*/
            'type' => 'pro',
            'author' => esc_html__( 'Alley Themes', 'alley-business-toolkit' ),    /*Author Name*/
            'keywords' => array( 'Alley Pro 3'),  /*Search keyword*/
            'categories' => array( 'pro' ), /*Categories*/
            'template_url' => array(
                'content' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/pro/3/content.json',
                'options' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/pro/3/options.json',
                'widgets' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/pro/3/widgets.json'
            ),
            'screenshot_url' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/pro/3/screenshot.jpg',
            'demo_url' => 'https://demo.alleythemes.com/hvac-pro-3',
            'plugins' => ''
        ),

        'alley-pro-4' =>array(
            'title' => esc_html__( 'Alley Pro 4', 'alley-business-toolkit' ),/*Title*/
            'is_pro' => true,  /*Premium*/
            'type' => 'pro',
            'author' => esc_html__( 'Alley Themes', 'alley-business-toolkit' ),    /*Author Name*/
            'keywords' => array( 'Alley Pro 4'),  /*Search keyword*/
            'categories' => array( 'pro' ), /*Categories*/
            'template_url' => array(
                'content' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/pro/4/content.json',
                'options' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/pro/4/options.json',
                'widgets' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/pro/4/widgets.json'
            ),
            'screenshot_url' => ALLEY_BUSINESS_TOOLKIT_TEMPLATE_URL.'/pro/4/screenshot.jpg',
            'demo_url' => 'https://demo.alleythemes.com/hvac-pro-4',
            'plugins' => ''
        ),


        
    );
        break;
        
        default:
            $demo_templates_lists = array();
    endswitch;

    return $demo_templates_lists;

}
add_action( 'ABT_social_media', 'alley_business_toolkit_social_media' );

function alley_business_toolkit_social_media(){

	include ALLEY_BUSINESS_TOOLKIT_PATH . 'public/social-media.php';

}

if ( abt_fs()->can_use_premium_code() ) {
    add_action( 'advanced_import_is_pro_active','alley_business_toolkit_set_active' );
    function alley_business_toolkit_set_active( $is_pro_active ) {
        return true;
    }
}
